Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.source.utils
Class OID

    java.lang.Object
      org.eclipse.ohf.ihe.xds.source.utils.OID

    public class OID

extends java.lang.Object

Generates a OID following the IHE XDS format from: IHE IT Infrastructure Technical Framework, vol.2 (ITI TF-2): Transactions Revison 2.0, August 15,2005, pp234-236. This class generate a pretty unique UID

Version:
  $Revision: 1.3 $
Author:
  Glenn Deen , Sarah Knoop

Constructor Summary
`OID()`

Method Summary
`static java.lang.String` | `createOID(java.lang.String organization)` Creates an oid of the following format: OID = rootPrefix.Organization.ipaddr.time.sequence e.g 1.2.820.ORGANIZATION.123456790.123456789.1234 If Orgnization is null, 99999 is used.
`static java.lang.String` | `createOIDGivenRoot(java.lang.String rootOid)` Creates an oid of the following format: OID = rootOID.ipaddr.time.sequence e.g 2.16.840.1.113883.3.18.123456790.123456789.1234 If rootOid is null, the method createOID(null) is called and that result is returned.
`static void` | `main(java.lang.String[] argv)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OID

    public OID()

Method Detail

### createOID

    public static java.lang.String createOID(java.lang.String organization)

  Creates an oid of the following format:
  OID = rootPrefix.Organization.ipaddr.time.sequence
  e.g 1.2.820.ORGANIZATION.123456790.123456789.1234 If Orgnization is null, 99999 is used. Thr rootPrefix is set to "1.2.820".

  Parameters:
    `organization` - The ANSI issue Organizational ID (an INTEGER) for the organization to which the generated oid will be associated with
  Returns:
    A IHE Document UUID String (OID)

### createOIDGivenRoot

    public static java.lang.String createOIDGivenRoot(java.lang.String rootOid)

  Creates an oid of the following format:
  OID = rootOID.ipaddr.time.sequence
  e.g 2.16.840.1.113883.3.18.123456790.123456789.1234 If rootOid is null, the method createOID(null) is called and that result is returned.

  Parameters:
    `rootOid` - The ANSI issued complete Organizational OID for a given insitution, system, or persion to which the generated OID will be associated.
  Returns:
    A IHE Document UUID String (OID)

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD